เข้าใจตรงกันนะ!!! Apple ประกาศ ในปี 2015 นักพัฒนาต้องทำแอพฯ ที่รองรับ 64 บิตเท่านั้น

0
304

แอปเปิ้ลประกาศกร้าว ในปี 2015 แอพพลิเคชั่นทุกแอพฯจะต้องสามารถรองรับการแสดงผล 64 บิท้วยนะจ๊ะ เพื่อให้เทคโนโลยี 64 บิทเข้าสู่รูปแบบการตลาดอย่างเต็มตัว

185941

 

เนื่องจากกระแส 64 บิทกำลังมา หลังจากทางฝั่งแอนดรอยด์เองก็เพิ่งจะเริ่มเปิดตัวสมาร์ทโฟนที่รองรับการแสดงผล 64 บิท ที่กำลังเพิ่มขึ้นเรื่อยๆ แถมยังพ่วงการเปิดตัวของ Android L อีกด้วย แน่นอนว่าทางฝั่ง Apple ที่เป็นเจ้าแรกที่ริเริ่มเทคโนโลยีนี้จะเพิกเฉยไม่ได้ โดยได้ออกมาประกาศให้นักพัฒนาแอพฯใน iOS จะต้องทำแอพพลิเคชั่นใน iOS จะต้องทำแอพฯที่ต้องรองรับ 64 บิทได้ทุกตัว และจะต้องใช้ iOS 8 SDK ที่ใช้โปรแกรม Xcode 6 ขึ้นไป ภายในวันที่ 1 กุมภาพันธ์ 2015 เป็นต้นไป

โดยทางแอปเปิ้ลต้องการให้เกิดประสิทธิภาพของการใช้เทคโนโลยี 64 บิท ให้เกิดสูงสุด ส่วนคำสั่งดังกล่าว ณ ขณะนี้ยังไม่มีผลต่อแอพพลิเคชั่นที่มีอยู่ใน App Store เดิม เพราะทางแอปเปิ้ลเองก็ยังไม่ได้มีแผนในการถอดแอพฯที่เป็น 32 บิทเดิมออกไป แต่ต่อไปนักพัฒนาต้องทำตามกฏที่ว่า และถ้าแอพฯใดไม่ปฏิบัติตาม ก็จะถูก Remove ออกทันที

และแน่นอนว่าใครที่ใช้ iPhone 5S ลงไป การแสดงผล 64 บิท อาจยังไม่ได้รับผลกระทบแน่นอน แต่กว่าจะเป็น 64 [bm ได้นั้น คงต้องใช้เวลาในการจัดระเบียบอีกนานพอสมควรเลยทีเดียวจ้า